#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:migration_policy, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
  The migration policy for migratable target

  EOD

  newvalues('absent', 'manual', 'exactly-once', 'failure-recovery')

  defaultto 'exactly-once'

  maps_to('MigrationPolicy')

end

