#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:algorithmtype, :parent => Puppet::Parameter::WlsProperty) do


  desc <<-EOD
  The algorithm determines the connection request processing for the multi data source

  EOD

  newvalues('absent', 'Load-Balancing','Failover')

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDataSourceParams/%{multi_datasource_name}/AlgorithmType')

end
