---
title: wls rcu
keywords: documentation
layout: documentation
sidebar: wls_config_sidebar
toc: false
---
## Overview

This is the Oracle WebLogic RCU ( Repository creation utility) installer type

## Attributes



Attribute Name                        | Short Description                                  |
------------------------------------- | -------------------------------------------------- |
[check_script](#wls_rcu_check_script) | The check_script py script for the RCU Repository. |
[ensure](#wls_rcu_ensure)             | Whether a Repository should be created.            |
[jdbc_url](#wls_rcu_jdbc_url)         | The jdbc url for the RCU check.                    |
[jdk_home_dir](#wls_rcu_jdk_home_dir) | The jdk_home_dir.                                  |
[name](#wls_rcu_name)                 | The prefix of the RCU.                             |
[oracle_home](#wls_rcu_oracle_home)   | The oracle_home for the WLST location.             |
[os_user](#wls_rcu_os_user)           | The weblogic operating system user.                |
[provider](#wls_rcu_provider)         | resource.                                          |
[statement](#wls_rcu_statement)       | The RCU statement.                                 |
[sys_password](#wls_rcu_sys_password) | The sys password for the RCU check/install.        |
[sys_user](#wls_rcu_sys_user)         | The sys user for the RCU check/install.            |




### check_script<a name='wls_rcu_check_script'>

The check_script py script for the RCU Repository.



[Back to overview of wls_rcu](#attributes)

### ensure<a name='wls_rcu_ensure'>

Whether a Repository should be created.

Valid values are `present` (also called `create`), `absent` (also called `delete`). 

[Back to overview of wls_rcu](#attributes)

### jdbc_url<a name='wls_rcu_jdbc_url'>

The jdbc url for the RCU check.



[Back to overview of wls_rcu](#attributes)

### jdk_home_dir<a name='wls_rcu_jdk_home_dir'>

The jdk_home_dir.



[Back to overview of wls_rcu](#attributes)

### name<a name='wls_rcu_name'>

The prefix of the RCU.



[Back to overview of wls_rcu](#attributes)

### oracle_home<a name='wls_rcu_oracle_home'>

The oracle_home for the WLST location.



[Back to overview of wls_rcu](#attributes)

### os_user<a name='wls_rcu_os_user'>

The weblogic operating system user.



[Back to overview of wls_rcu](#attributes)

### provider<a name='wls_rcu_provider'>

The specific backend to use for this `wls_rcu`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

wls_rcu
: 



[Back to overview of wls_rcu](#attributes)

### statement<a name='wls_rcu_statement'>

The RCU statement.



[Back to overview of wls_rcu](#attributes)

### sys_password<a name='wls_rcu_sys_password'>

The sys password for the RCU check/install.



[Back to overview of wls_rcu](#attributes)

### sys_user<a name='wls_rcu_sys_user'>

The sys user for the RCU check/install.



[Back to overview of wls_rcu](#attributes)
