#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_min_size, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer
  
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource

  desc <<-EOD
    The log file min size of a domain or server.

  EOD

  maps_to('Log/%{domain_name}/FileMinSize')

end