#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:security_crossdomain, :parent => Puppet::Parameter::WlsProperty) do
  extend  Puppet_X::EnterpriseModules::WebLogic::DomainPaths # Changes the actual path for domain resource
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-EOD
    The cross domain enabled.

  EOD

  maps_to('SecurityConfiguration/%{domain_name}/CrossDomainSecurityEnabled')

end
