#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:destination_keys, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::ArrayProperty

  desc <<-EOD
  The destination keys the queue or topic.

  EOD

  maps_to('DestinationKeys')

  on_apply do
    apply_paths_with_array(value.join(','))
  end
end
