#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:jndinames, :array_matching => :all, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::ArrayProperty


  desc <<-EOD
    The datasource jndi names.

  EOD

  maps_to('JDBCResource/%{multi_datasource_name}/JDBCDataSourceParams/%{multi_datasource_name}/JNDINames')

  on_apply do
    apply_paths_with_array(resource.jndinames)
  end

end
