#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_http_format_type, :parent => Puppet::Parameter::WlsProperty) do

  desc <<-EOD
    The log format type of the  http file name of the server.

  EOD

  newvalues('absent', 'common', 'extended')

  maps_to('WebServer/%{server_name}/WebServerLog/%{server_name}/LogFileFormat')

end
