#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ssllistenport, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include EasyType::Types::Integer
  include EasyType::Validators::PortNumber

  desc <<-EOD
  The server ssl port

  EOD
  defaultto '7002'

  maps_to('SSL/%{template_name}/ListenPort')

end
